EDIT - bug #6464

UUID can not be null exception when trying to delete a SingleRead
03/02/2017 12:05 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

When trying to delete a single read from a specimen in cichorieae test db (test server) | got

login : admin
editor version : 4.6.0.201702272351
server : test.e-taxonomy.eu (edit-test) / cichorieae
schema version : 4.1.0.0.201607300000
os : Windows Server 2012 R2 6.3 amdo64
java : 1.8.0_121
org.eclipse.core.commands.ExecutionException: While executing the operation, an exception occurred

at org.eclipse.core.commands.operations.DefaultOperationHistory.execute (DefaultOperationHistor
y.java:521)

at eu.etaxonomy.taxeditor.model.AbstractUtility$l.run (AbstractUtility.java:345)

at org.eclipse.jface.operation.ModalContext.runInCurrentThread (ModalContext.java:464)

at org.eclipse.jface.operation.ModalContext.run (ModalContext. java:372)

at org.eclipse.jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)

at org.eclipse.jface.window.ApplicationWindow.run (ApplicationWindow. java:756)

at org.eclipse.ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2649)

at org.eclipse.ui.internal.progress.ProgressManager$RunnableWithStatus.run (ProgressManager. jav
a:13406)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)

at org.eclipse.ui.internal.progress.ProgressManager$7.run (ProgressManager. java:1184)

at org.eclipse.swt.widgets.Synchronizer.syncExec (Synchronizer. java:180)

at org.eclipse.ui.internal.UISynchronizer.syncExec (UISynchronizer.java:150)

at org.eclipse.swt.widgets.Display.syncExec (Display.java:4683)

at org.eclipse.ui.internal.progress.ProgressManager.runInUI (ProgressManager.java:1182)

at eu.etaxonomy.taxeditor.model.AbstractUtility.runInUI (AbstractUtility. java:657)

at eu.etaxonomy.taxeditor.model.AbstractUtility.executeOperation (AbstractUtility.java:363)

at eu.etaxonomy.taxeditor.editor.view.derivate.handler.DeleteDerivateHandler.execute (DeleteDer
ivateHandler.java:73)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy.java:293)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
508)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService.java:169)

at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService. jav
a:241)

at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandlerService. jav
a:241)

at org.eclipse.ui.menus.CommandContributionItem.handleWidgetSelection (CommandContributionItem.
java:829)

at org.eclipse.uil.menus.CommandContributionItem.access$19 (CommandContributionItem. java:815)

at org.eclipse.uil.menus.CommandContributionItem$5.handleEvent (CommandContributionItem. java:805

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)
at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)
at org.eclipse.ui.internal.Workbench.runUI (Workbench.java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)
at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:110)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLlauncher.start (EclipseAppLauncher. java:
79)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:179)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
Caused by: org.springframework.dao.DatalntegrityViolationException: could not execute statement; S
QL [n/al]; constraint [null]; nested exception is org.hibernate.exception.ConstraintViolationExcept
ion: could not execute statement

at org.springframework.orm.hibernate5.SessionFactoryUtils.convertHibernateAccessException (Sess
ionFactoryUtils.java:164)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.convertHibernateAccessExcept
ion (HibernateTransactionManager. java:741)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:589)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager. java:730)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfter
Returning (TransactionAspectSupport.java:485)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:291)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy2770.deleteSingleRead (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocati
onTraceInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy3071.deleteSingleRead (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemotelInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemoteIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
2)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler.java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler.java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler.java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:745)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$SProxy4l.deleteSingleRead (Unknown Source)

at eu.etaxonomy.taxeditor.editor.view.derivate.operation.DeleteDerivateOperation.execute (Delet
eDerivateOperation. java:82)

at org.eclipse.core.commands.operations.DefaultOperationHistory.execute (DefaultOperationHistor
y.Jjava:513)

50 more

Caused by: org.hibernate.exception.ConstraintViolationException: could not execute statement

at org.hibernate.exception.internal.SQLExceptionTypeDelegate.convert (SQLExceptionTypeDelegate.
java:59)

at org.hibernate.exception.internal.StandardSQLExceptionConverter.convert (StandardSQLException
Converter.java:42)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SglExceptionHelper. java:109)

at org.hibernate.engine. jdbc.spi.SglExceptionHelper.convert (SglExceptionHelper. java:95)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl. ja
va:207)

at org.hibernate.engine. jdbc.batch.internal.NonBatchingBatch.addToBatch (NonBatchingBatch. java:
45)

at org.hibernate.persister.entity.AbstractEntityPersister.insert (AbstractEntityPersister. java:
2886)

at org.hibernate.persister.entity.AbstractEntityPersister.insert (AbstractEntityPersister. java:
3386)

at org.hibernate.action.internal.EntityInsertAction.execute (EntityInsertAction. java:89)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:560)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:434)

at org.hibernate.event.internal.AbstractFlushingEventListener.performExecutions (AbstractFlushi
ngEventListener. java:337)

at org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. ja
va:39)

at org.hibernate.internal.SessionImpl.flush (SessionImpl.java:1282)

at org.hibernate.envers.internal.synchronization.AuditProcess.doBeforeTransactionCompletion (Au
ditProcess.java:156)
at org.hibernate.envers.internal.synchronization.AuditProcessManager$l.doBeforeTransactionComp
letion (AuditProcessManager.java:46)

at org.hibernate.engine.spi.ActionQueue$BeforeTransactionCompletionProcessQueue.beforeTransact
ionCompletion (ActionQueue. java:899)

at org.hibernate.engine.spi.ActionQueue.beforeTransactionCompletion (ActionQueue. java:481)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl.java:2340)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordi
natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231
)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:581)

148 more

Caused by: com.mysqgl. jdbc.exceptions. jdbc4.MySQLIntegrityConstraintViolationException: Column 'uui
d' cannot be null

at sun.reflect.NativeConstructorAccessorImpl.newInstance(O (Native Method)

at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAccessorImpl. java:62

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorAccessorImpl
.java:45)

at java.lang.reflect.Constructor.newInstance (Constructor.java:422)

at com.mysqgl. jdbc.Util.handleNewInstance (Util.java:404)

at com.mysqgl. jdbc.Util.getInstance (Util. java:387)

at com.mysqgl. jdbc.SQLError.createSQLException (SQLError. java:932)

at com.mysgl. jdbc.MysglIO.checkErrorPacket (MysgqlIO. java:3878)

at com.mysqgl. jdbc.MysqglIO.checkErrorPacket (MysglIO. java:3814)

at com.mysqgl. jdbc.MysglIO.sendCommand (MysglIO. java:2478)

at com.mysqgl.jdbc.MysglIO.sglQueryDirect (MysqglIO. java:2625)

at com.mysqgl. jdbc.ConnectionImpl.execSQL (ConnectionImpl. java:2551)

at com.mysqgl. jdbc.PreparedStatement.executelnternal (PreparedStatement. java:1861)

at com.mysqgl. jdbc.PreparedStatement .executeUpdateInternal (PreparedStatement.java:2073)

at com.mysqgl. jdbc.PreparedStatement .executeUpdateInternal (PreparedStatement.java:2009)

at com.mysgl. jdbc.PreparedStatement .executelargeUpdate (PreparedStatement.java:5094)

at com.mysqgl. jdbc.PreparedStatement.executeUpdate (PreparedStatement.java:1994)

at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeUpdate (NewProxyPreparedStatement.
java:384)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl. ja
va:204)

168 more

History

#1 - 04/21/2020 12:20 PM - Andreas Miller

- Assignee changed from Patrick Plitzner to Katja Luther
